<?php
/*------------------------------------------------------------------------
# author Sohrab Yazdanparast
# copyright Copyright © 2018 venus-itc.com All rights reserved.
# @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website http://www.venus-itc.com
-------------------------------------------------------------------------*/	// no direct access
defined('_JEXEC') or die;
include 'includes/params.php';
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
    <jdoc:include type="head" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
    <?php if($this->direction == 'rtl') : ?>
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/rtl.css" type="text/css" />
    <?php else: ?>
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/style.css" type="text/css" />
    <?php endif; ?>
</head>
<body class="<?php echo $active->alias; ?>">
<?php if($this->countModules('top-right')): ?>
    <div id="Navbar">
        <div class="container">
            <div class="row">
                <?php if($this->countModules('top-right')): ?>
                    <div class="col-lg-8 col-md-8 col-sm-12 top-right">
                        <jdoc:include type="modules" name="top-right" style="xhtml" />
                    </div>
                <?php endif; ?>
                <?php if($this->countModules('top-left')): ?>
                    <div class="col-lg-4 col-md-4 col-sm-12 top-left">
                        <jdoc:include type="modules" name="top-left" style="xhtml" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('logo')): ?>
    <div id="Header">
        <div class="container">
            <div class="row">
                <?php if($this->countModules('logo')): ?>
                    <div class="col-lg-3 col-md-3 col-sm-12 Logo">
                        <jdoc:include type="modules" name="logo" style="xhtml" />
                    </div>
                <?php endif; ?>
                <?php if($this->countModules('main-menu')): ?>
                    <div class="col-lg-8 col-md-8 col-sm-12 main-menu">
                        <jdoc:include type="modules" name="main-menu" style="xhtml" />
                    </div>
                <?php endif; ?>
              	<?php if($this->countModules('search')): ?>
                    <div class="col-lg-1 col-md-1 col-sm-12 search">
                        <jdoc:include type="modules" name="search" style="xhtml" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('slider')): ?>
    <div id="SliderBox">
        <div class="mask">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 slider">
                        <jdoc:include type="modules" name="slider" style="xhtml" />
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('mass-top')): ?>
    <div id="MassTop">
        <div class="mask">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="Page-TiTle text-white lg-font">
                            <?php
                            $mydoc =& JFactory::getDocument();
                            $mytitle = $mydoc->getTitle();
                            echo $mytitle;
                            ?>
                        </h1>
                    </div>
                    <div class="col-lg-12">
                        <jdoc:include type="modules" name="mass-top" style="xhtml" />
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('position-2')): ?>
    <jdoc:include type="modules" name="position-2" style="xhtml" />
<?php endif; ?>
<?php if($this->countModules('position-hot')): ?>
    <div id="Upside-Collect">
        <div class="container">
            <div class="row">
                <?php if($this->countModules('position-hot')): ?>
                    <div class="col-lg-8 col-md-8 col-sm-12 position-hot">
                        <jdoc:include type="modules" name="position-hot" style="xhtml" />
                    </div>
                <?php endif; ?>
                <?php if($this->countModules('position-b')): ?>
                    <div class="col-lg-4 col-md-4 col-sm-12 position-b">
                        <jdoc:include type="modules" name="position-b" style="xhtml" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('upside')): ?>
    <div id="Upside-Collect">
        <div class="container">
            <div class="row">
                <?php if($this->countModules('upside-right')): ?>
                    <div class="col-lg-3 col-md-3 col-sm-12 upside-right">
                        <jdoc:include type="modules" name="upside-right" style="xhtml" />
                    </div>
                <?php endif; ?>
                <?php if($this->countModules('upside')): ?>
                    <div class="col-lg-9 col-md-9 col-sm-12 upside">
                        <jdoc:include type="modules" name="upside" style="xhtml" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('position-c')): ?>
    <div id="Position-c">
        <div class="mask">
            <div class="container">
                <div class="row">
                    <jdoc:include type="modules" name="position-c" style="none" />
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('position-d')): ?>
    <div id="Position-d">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 position-d">
                    <jdoc:include type="modules" name="position-d" style="xhtml" />
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('mass-top')): ?>
    <div id="Component" class="mt-4 mb-4">
        <div class="container" id="main-component">
            <div class="row">
                <?php if($this->countModules('component-side')): ?>
                    <div class="col-lg-12 col-md-12 col-sm-12 component-side">
                        <jdoc:include type="modules" name="component-side" style="xhtml" />
                    </div>
                <?php endif; ?>
                <div class="col-lg-12 col-md-12 col-sm-12 component">
                    <jdoc:include type="modules" name="component-top" style="xhtml" />
                    <div class="VenusMainBD">
                        <jdoc:include type="message" />
                        <jdoc:include type="component" />
                    </div>
                    <jdoc:include type="modules" name="component-bot" style="xhtml" />
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('position-e')): ?>
    <div id="Position-e">
        <div class="container">
            <div class="row">
                <jdoc:include type="modules" name="position-e" style="none" />
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if($this->countModules('bottom-a')): ?>
    <div id="Bottom-a">
        <div class="mask">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 bottom-a">
                        <jdoc:include type="modules" name="bottom-a" style="xhtml" />
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<div id="Bot-Collect" class="pb-5 pt-5">
    <div class="container">
        <div class="row">
            <?php if($this->countModules('mass-bot')): ?>
                <div class="col-lg-12 col-md-12 col-sm-12 mass-bot">
                    <jdoc:include type="modules" name="mass-bot" style="xhtml" />
                </div>
            <?php endif; ?>
        </div>
        <div class="row">
            <?php if($this->countModules('bot-a')): ?>
                <div class="col-lg-4 col-md-4 col-sm-12 bot-a">
                    <jdoc:include type="modules" name="bot-a" style="xhtml" />
                </div>
            <?php endif; ?>
            <?php if($this->countModules('bot-b')): ?>
                <div class="col-lg-4 col-md-4 col-sm-12 bot-b">
                    <jdoc:include type="modules" name="bot-b" style="xhtml" />
                </div>
            <?php endif; ?>
            <?php if($this->countModules('bot-c')): ?>
                <div class="col-lg-4 col-md-4 col-sm-12 bot-c">
                    <jdoc:include type="modules" name="bot-c" style="xhtml" />
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php if($this->countModules('copyright')): ?>
    <div id="Copyright" class="pb-2 pt-2">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 copyright">
                    <jdoc:include type="modules" name="copyright" style="xhtml" />
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>
